#80 Errors when registering Alert

v1.0
closed-fixed
Rakesh Kalra
general (93)
9
2006-02-13
2006-01-25
Rakesh Kalra
No

This can be reproduced in jmanage test environment, by
running:
> maven cluster-config

> startTestApp (seperate window)
> startTestApp -port 10000 (seperate window)
> startup 123456

Error log:

Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource$EstablishConnection run
INFO: Established connection to application: testApp2
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource connectionOpen
SEVERE: Error registering for monitoring.
error=javax.management.InstanceNotFoundException: jmanage:
name=TimeNotificationBroadcaster
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource$EstablishConnection run
INFO: Established connection to application: testApp2
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource connectionOpen
SEVERE: Error registering for monitoring.
error=javax.management.InstanceNotFoundException: jmanage:
name=TimeNotificationBroadcaster
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource$EstablishConnection run
INFO: Established connection to application: testApp2
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource connectionOpen
SEVERE: Error registering for monitoring.
error=javax.management.InstanceNotFoundException: jmanage:
name=TimeNotificationBroadcaster
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource$EstablishConnection run
INFO: Established connection to application: testApp2
Jan 25, 2006 1:37:47 PM
org.jmanage.core.alert.AlertSource connectionOpen
SEVERE: Error registering for monitoring.
error=javax.management.InstanceNotFoundException: jmanage:
name=TimeNotificationBroadcaster

Discussion

  • Rakesh Kalra
    Rakesh Kalra
    2006-01-29

    • status: open --> pending-fixed
     
  • Rakesh Kalra
    Rakesh Kalra
    2006-01-29

    Logged In: YES
    user_id=1058292

    This exception occurs if the MBean no longer exists.

    Fixed for 1.0.3.

     
    • status: pending-fixed --> closed-fixed
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).